
import random
from pyinquirer import prompt, List

def custom_pyinquirer_function():
    questions = [
        {
            "type": "input",
            "name": "username",
            "message": "Enter your username:"
        },
        {
            "type": "list",
            "name": "language",
            "message": "Choose a programming language:",
            "choices": ["Python", "JavaScript", "Java", "C#"]
        },
        {
            "type": "confirm",
            "name": "subscribe",
            "message": "Do you want to subscribe to our newsletter?"
        }
    ]

    answers = prompt(questions)
    return answers

